package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

//职务类型（指导老师、教务老师、教学主管）
public enum JobTypeEnum implements BaseEnum<String, JobTypeEnum> {
	ADVISER("ADVISER", "指导老师"), ACADEMIC("ACADEMIC", "教务老师"), TEACHING("TEACHING", "教学主管"), ASSISTANT("ASSISTANT", "助教");

	private String code;

	private String msg;

	JobTypeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
